opendkim-genrates(8)

NAME
opendkim-genrates - OpenDKIM recommended rate computation tool

SYNOPSIS
opendkim-genrates [options]

DESCRIPTION
opendkim-genrates collates data accumulated by the OpenDKIM statistics feature into daily summaries that are then used to compute a recommended rate limit for each signing domain. It also generates a report of its findings, which includes some specific (currently hard-coded) interesting domains. The schemae that are used both as input (tables from which the values are taken) and output (tables into which results are stored) can be found in the stats/mkdb.mysql file in the OpenDKIM package. The target tables are called "aggregate" and "predictions". This latter table can then be used by mail filtering software to impose flow and spam ratio limits on a per-domain basis. For a detailed description of the algorithms, see the white paper "Enforcing Rate Limits Based on Authenticated Sender Reputation." This work is experimental.

OPTIONS

--dbhost=host
    Attempts to connect to the database server on the named host. The default is "localhost".

--dbname=name
    Requests a connection to the database called name. The default is "opendkim".

--dbpasswd=password
    Attempts to authenticate to the database server using the specified password. The default is "opendkim".

--dbport=port
    Tries to connect to the database at the specified TCP port. The default is 3306.

--dbuser=user
    Attempts to authenticate to the database server as the specified user. The default is "opendkim".

--help
    Prints a usage message and exits.

--output=file
    Writes an HTML report to the specified file.

--prediction=pct
    For calculations, constructs a prediction interval described by the percentage value pct. The default is 75. Accepted values are 50, 68, 75, 90, 95 and 99.

--verbose
    Requests verbose output.

--version
    Prints version number and exits.

VERSION
This man page covers the version of opendkim-genrates that shipped with version 2.10.3 of OpenDKIM.

COPYRIGHT
Copyright (c) 2011, 2012, The Trusted Domain Project. All rights reserved.

SEE ALSO
opendkim(8), opendkim-importstats(8)

RFC6376 - DomainKeys Identified Mail